Bug 1732601 - production.log does not log the request-id in registration calls
Summary: production.log does not log the request-id in registration calls
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Registration
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.6.0
Assignee: satellite6-bugs
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-23 20:39 UTC by sthirugn@redhat.com
Modified: 2019-10-22 12:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:48:10 UTC

Description sthirugn@redhat.com 2019-07-23 20:39:29 UTC
Description of problem:
production.log does not log the request-id in registration calls

Version-Release number of selected component (if applicable):
satellite-6.5.0-11.el7sat.noarch

How reproducible:
Always

Steps to Reproduce:
1.Register a client to Satellite and check /var/log/foreman/production.log

Actual results:
The first line below does not show the request-id:
2019-07-22T05:00:42 [I|app|] Started POST "/rhsm/consumers?owner=Default_Organization&activation_keys=ak1" for 192.168.121.96 at 2019-07-22 05:00:42 +0000
2019-07-22T05:00:42 [I|app|f2be2e11] Processing by Katello::Api::Rhsm::CandlepinProxiesController#consumer_activate as JSON
2019-07-22T05:00:42 [I|app|f2be2e11]   Parameters: {"facts"=>"[FILTERED]", "installedProducts"=>[{"productName"=>"Red Hat Enterprise Linux Server", "arch"=>"x86_64", "version"=>"7.6", "productId"=>"69"}], "type"=>"system", "name"=>"client01.apex.example.com", "contentTags"=>["rhel-7", "rhel-7-server"], "owner"=>"Default_Organization", "activation_keys"=>"ak1"}

Expected results:
The first line above should show:
2019-07-22T05:00:42 [I|app|f2be2e11] Started POST "/rhsm/consumers?owner=Default_Organization&activation_keys=ak1" for 192.168.121.96 at 2019-07-22 05:00:42 +0000

Additional info:
In high traffic Satellite environments, this makes registration troubleshooting difficult.

Comment 4 sthirugn@redhat.com 2019-07-24 03:30:36 UTC
All the rhsm calls are broken.  More examples:
2019-07-19T20:26:40 [I|app|] Started GET "/rhsm/" for 192.168.1.1 at 2019-07-19 20:26:40 +0200
2019-07-19T20:26:40 [I|app|] Started GET "/rhsm/consumers/dd16de3b-fa2b-4fd3-aa45-aa8069b9b8e1/accessible_content" for 192.168.1.1 at 2019-07-19 20:26:40 +0200
2019-07-19T20:26:40 [I|app|] Started GET "/rhsm/consumers/c494c837-f424-45d5-ab35-d24ee28e959d/content_overrides" for 192.168.1.1 at 2019-07-19 20:26:40 +0200
2019-07-19T20:26:40 [I|app|] Started GET "/rhsm/consumers/2a78a898-6c06-4b76-a732-ccb4e5d52d53/release" for 192.168.1.1 at 2019-07-19 20:26:40 +0200

Comment 11 errata-xmlrpc 2019-10-22 12:47:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.